using System;
using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

public class WinLabel : MonoBehaviour
{
    [SerializeField] TMP_Text Label;

    private void Awake()
    {
        Treasure.OnGameWon += ShowLabel;
    }

    private void OnDestroy()
    {
        Treasure.OnGameWon -= ShowLabel;
    }

    private void ShowLabel()
    {
        Label.enabled = true;
    }
}
